{
  "$schema": "https://biomejs.dev/schemas/2.4.16/schema.json",
  "vcs": {
    "clientKind": "git",
    "enabled": true,
    "useIgnoreFile": true
  },
  "files": {
    "ignoreUnknown": true,
    "includes": ["src/**", "*.ts", "*.tsx", "*.json", "!src/client", "!openapi.json"],
    "maxSize": 2048576
  },
  "formatter": {
    "enabled": true,
    "includes": ["src/**", "!src/client/**"],
    "indentStyle": "space",
    "indentWidth": 2,
    "lineWidth": 100,
    "lineEnding": "lf"
  },
  "javascript": {
    "formatter": {
      "quoteStyle": "single",
      "jsxQuoteStyle": "double",
      "semicolons": "always",
      "trailingCommas": "all",
      "bracketSpacing": true,
      "arrowParentheses": "always",
      "quoteProperties": "asNeeded"
    }
  },
  "css": {
    "parser": {
      "tailwindDirectives": true
    }
  },
  "json": {
    "formatter": {
      "indentStyle": "space",
      "indentWidth": 2
    }
  },
  "linter": {
    "enabled": true,
    "rules": {
      "recommended": true,
      "correctness": {
        "noUnusedVariables": "error",
        "useHookAtTopLevel": "error"
      },
      "style": {
        "noParameterAssign": "error",
        "useConst": "error",
        "useTemplate": "warn",
        "useShorthandAssign": "error"
      }
    }
  },
  "assist": {
    "enabled": true,
    "includes": ["src/**", "!src/client/**"],
    "actions": {
      "source": {
        "organizeImports": "on"
      }
    }
  }
}
